%define	major		1
%define libname		%mklibname gssglue %{major}
%define develname	%mklibname gssglue -d

Name:		libgssglue
Version:	0.9
Release:	%mkrel 1
Summary:	A mechanism-switch gssapi library
License:	BSD-like
Group:		System/Libraries
URL:		https://gitlab.com/gsasl/libgssglue/
Source0:	https://gitlab.com/gsasl/libgssglue/-/archive/%{name}-%{version}/libgssglue-%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(krb5) >= 1.3

%description
libgssglue provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{libname}
Summary:	A mechanism-switch gssapi library
Group:		System/Libraries

%description -n	%{libname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{develname}
Summary:	Static library and header files for the libgssapi library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	gssglue-devel = %{version}-%{release}

%description -n	%{develname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

This package contains the static libgssapi library and its
header files.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
touch ChangeLog
autoreconf -fiv
%configure --disable-static
%make_build

%install
install -d %{buildroot}%{_sysconfdir}

%make_install

# we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/gssglue/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgssglue.pc


%changelog
* Sat Oct 19 2024 daviddavid <daviddavid> 0.9-1.mga10
+ Revision: 2108198
- new version: 0.9 (from https://gitlab.com/gsasl/libgssglue/)

* Tue Mar 15 2022 umeabot <umeabot> 0.4-11.mga9
+ Revision: 1792041
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4-10.mga8
+ Revision: 1514119
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4-9.mga7
+ Revision: 1298890
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.4-8.mga7
+ Revision: 1235661
- fix build on aarch64
- disable static build and drop .la files
- drop multiarch support
- own unowned include dirs
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.4-7.mga6
+ Revision: 944765
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 746552
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 681511
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 540591
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 0.4-3.mga4
+ Revision: 494037
- rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 357409
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 guillomovitch <guillomovitch> 0.4-1.mga3
+ Revision: 260127
- new version

* Tue Jul 26 2011 guillomovitch <guillomovitch> 0.3-1.mga2
+ Revision: 129712
- new version

* Sun Jan 23 2011 ennael <ennael> 0.1-8.mga1
+ Revision: 33397
- remove mdkversion
- imported package libgssglue


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2011.0
+ Revision: 601046
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2010.1
+ Revision: 520142
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1-6mdv2010.0
+ Revision: 425562
- rebuild

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-5mdv2009.1
+ Revision: 315566
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 222883
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.1-3mdv2008.1
+ Revision: 150688
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - spec cleanup

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-2mdv2008.0
+ Revision: 80167
- spec cleanup

  + Oden Eriksson <oeriksson@mandriva.com>
    - major and deps fixes

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdv2008.0
+ Revision: 79930
- renaming to libgssglue
- renaming to libgssglue
- new version

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 0.11-1mdv2008.0
+ Revision: 17623
- updated to version 0.11

